GET
/api/v1/security_group/{node_id}/detach/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/security_group/{node_id}/detach/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/security_group/{node_id}/detach/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/security_group/{node_id}/detach/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns the security groups in the project that are not yet attached to the node and can therefore be attached to it - each group’s id, name, description, and rules. The path takes a node id (from the cluster’s node_id_list).
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”node_id
required
integer
The id of a cluster node (from node_id_list in List / Detail).
Example
320000Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request.
Example
<API_KEY>location
required
string
Region of the cluster.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
integer
data
Security groups available to attach to the node.
Array<object>
object
id
integer
name
string
description
string
rules
Array<object>
object
id
integer
rule_type
string
protocol_name
string
port_range
string
network
string
is_default
boolean
is_active
boolean
errors
object
message
string
Example
{ "code": 200, "data": [ { "id": 12346, "name": "default_sg_delhi", "description": "default security group delhi", "rules": [ { "id": 1000002, "rule_type": "Inbound", "protocol_name": "Custom_TCP", "port_range": "22,443,80", "network": "any" } ], "is_default": true, "is_active": true } ], "message": "Success"}